[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.GetEmpty

Gets the value for the Empty property.

## Declaration

Source position: graphics.pp line 806

`protected function TGraphic.GetEmpty: Boolean; virtual; abstract;`

## Function result

True when no data exists in the graphic.

## Description

GetEmpty is an abstract virtual Boolean function used to get the value for the Empty property. The return value is True when no image data exists for the graphic.

GetEmpty must be implemented in a descendent class to provide support for a specific image format.

## See also

TGraphic.Empty |  | Indicates if the graphic is empty (contains no data).